Bug 21966 - Fix descriptions of acquisition permissions to be more clear (again)
Summary: Fix descriptions of acquisition permissions to be more clear (again)
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords: regression
Depends on: 3849
Blocks:
  Show dependency treegraph
 
Reported: 2018-12-06 14:10 UTC by Katrin Fischer
Modified: 2019-05-27 12:27 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 21966: Fix descriptions of acquisition permissions to be more clear (again) (2.00 KB, patch)
2018-12-06 14:21 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 21966: Fix descriptions of acquisition permissions to be more clear (again) (2.06 KB, patch)
2018-12-07 20:58 UTC, Pierre-Marc Thibault
Details | Diff | Splinter Review
Bug 21966: Fix descriptions of acquisition permissions to be more clear (again) (2.13 KB, patch)
2019-02-08 12:59 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2018-12-06 14:10:19 UTC
This was already done and pushed on bug 3849, but some of it got undone by a later patch (conflict I guess):

http://git.koha-community.org/gitweb/?p=koha.git;a=commitdiff;h=b8a2365a3455a70ef8bdcb99e74b419bc4572b96

koha-tmpl/intranet-tmpl/prog/en/includes/permissions.inc


-    [%- CASE 'budget_add_del' -%]<span>Add and delete funds (but can't modify funds)</span>
-    [%- CASE 'budget_manage' -%]<span>Manage funds</span>
-    [%- CASE 'budget_manage_all' -%]<span>Manage all funds</span>
-    [%- CASE 'budget_modify' -%]<span>Modify funds (can't create lines, but can modify existing ones)</span>
+    [%- CASE 'suggestions_manage' -%]<span>Manage purchase suggestions</span>
+    [%- CASE 'budget_add_del' -%]<span>Add and delete budgets (but can't modify budgets)</span>
+    [%- CASE 'budget_manage' -%]<span>Manage budgets</span>
+    [%- CASE 'budget_manage_all' -%]<span>Manage all budgets</span>
+    [%- CASE 'budget_modify' -%]<span>Modify budget (can't create lines, but can modify existing ones)</span>
Comment 1 Katrin Fischer 2018-12-06 14:21:07 UTC
Created attachment 82909 [details] [review]
Bug 21966: Fix descriptions of acquisition permissions to be more clear (again)

This was already done and pushed on bug 3849, but some of it got
undone accidentally by a later patch.

To test:
- Check the acquisition permissions
- The *budget* permissions should clearly describe their
  use for 'funds'.
Comment 2 Pierre-Marc Thibault 2018-12-07 20:58:14 UTC
Created attachment 83002 [details] [review]
Bug 21966: Fix descriptions of acquisition permissions to be more clear (again)

This was already done and pushed on bug 3849, but some of it got
undone accidentally by a later patch.

To test:
- Check the acquisition permissions
- The *budget* permissions should clearly describe their
  use for 'funds'.

Signed-off-by: Pierre-Marc Thibault <pierre-marc.thibault@inLibro.com>
Comment 3 Martin Renvoize 2019-02-08 12:59:19 UTC
Created attachment 84863 [details] [review]
Bug 21966: Fix descriptions of acquisition permissions to be more clear (again)

This was already done and pushed on bug 3849, but some of it got
undone accidentally by a later patch.

To test:
- Check the acquisition permissions
- The *budget* permissions should clearly describe their
  use for 'funds'.

Signed-off-by: Pierre-Marc Thibault <pierre-marc.thibault@inLibro.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2019-02-08 12:59:47 UTC
Trivial patch, no regressions, passes qa scripts.

Passing QA
Comment 5 Nick Clemens 2019-02-19 14:32:59 UTC
Awesome work all!

Pushed to master for 19.05
Comment 6 Martin Renvoize 2019-02-26 08:59:40 UTC
Pushed to 18.11.x for 18.11.04
Comment 7 Lucas Gass 2019-03-06 18:02:44 UTC
backported to 18.05.x for 18.05.11